Subject: My child regularly plays video games for 3-4 hours a day. I'm considering limiting hi...?
From: Quora Digest <[email-masked]>
To: [email-masked]
Date: Sat, 10 Oct 2020 15:13:09 +0000

Pritish's Digest
Your Quora Digest

-----

Question: My child regularly plays video games for 3-4 hours a day. I'm considering limiting him to 1 hour a day. Is this too strict?

Answer from Shawn Cook

1 hour of screen time? He'd probably spend 15–20 minutes on loading screens. That's gonna limit his game time to 45 minutes.

When I game, if I only have an hour to play, I do
Read More: http://www.quora.com/My-child-regularly-plays-video-games-for-3-4-hours-a-day-Im-considering-limiting-him-to-1-hour-a-day-Is-this-too-strict?top_ans=136709770
-----
Question: Why is Boruto so good?

Answer from Mubarak Yousuf

Wait…………..

Did you say Boruto is good?

Ok, no offence whoever is reading this.

To me, Boruto is trash. Like, We spent years following Naruto’s journey to the top, and then
Read More: http://www.quora.com/Why-is-Boruto-so-good?top_ans=237203185
-----
Question: Why are so many employees leaving TCS?

Answer from Dinesh Narlakanti

Not only in TCS, employees leave from other organizations too.

As TCS recruitment numbers will be high every year when compared to other organizations, so, the number of peop
Read More: http://www.quora.com/Why-are-so-many-employees-leaving-TCS?top_ans=235046539
-----
Question: Is 500 hours of gaming in 6 months too much?

Answer from Tiafn Biip

If you do the math, it’s not really that much.

First of all: The average length of a month is 30.42 days. Since the question is 500 hours in 6 months. Thats 182.52 days. Now,
Read More: http://www.quora.com/Is-500-hours-of-gaming-in-6-months-too-much?top_ans=222177093
-----
Question: My NEET marks are 710. What rank should I expect?

Answer from Kriti Dixit

Brainy bud, i just want to say with 710 marks you don’t need to ask others about your expected rank.

Now i would like to answer this question both ways since i’m unaware of t
Read More: http://www.quora.com/My-NEET-marks-are-710-What-rank-should-I-expect?top_ans=239313388
-----
Question: In AoT, when Eren wasn't the Titan, why didn't the Titan who ate him gain his power?

Answer from Arpan Dang

As it says on AoT wiki page,

“According to Rod Reiss, a shifter's power rests in their spinal cord, meaning that to gain the Titan powers, it is not necessary to eat the enti
Read More: http://www.quora.com/In-AoT-when-Eren-wasnt-the-Titan-why-didnt-the-Titan-who-ate-him-gain-his-power?top_ans=49927091
-----
Question: How is the GTX 1660 Super 6GB for heavy gaming?

Answer from Brett Bergan

If you define “heavy gaming” as 1440 or 4K Ultra, then it is not the best choice.

You can’t compare a GPU with 1408 CUDA cores to a card like the RTX 2080 with 2944 CUDA core
Read More: http://www.quora.com/How-is-the-GTX-1660-Super-6GB-for-heavy-gaming?top_ans=234815372
-----
Question: Will BTS disband soon?

Answer from Suni 수니⁷

Sadly, They probably will.

Even though they renewed the contract on their anniversary (I believe)

Jin will soon have to enlist due to Korean laws.

jins enlistment: 2020

Al
Read More: http://www.quora.com/Will-BTS-disband-soon?top_ans=234754116
-----
Question: What is the revised salary for Capgemini freshers after one year?

Answer from Bhaskar Vella

Hello,

There will be 2 types of freshers in Capgemini (IDK about other companies though 🙄)..

1st type - B.tech Background, these freshers will be designated as Analysts (A4)
Read More: http://www.quora.com/What-is-the-revised-salary-for-Capgemini-freshers-after-one-year?top_ans=227092136
-----
Question: Is the GeForce GTX 1080 still good for gaming in 2021?

Answer from Kevin Baker

It’s not a card I’d opt for in any new build. Even at its current substantially reduced price, it’s outperformed by newer cards at a comparable price point in almost every sit
Read More: http://www.quora.com/Is-the-GeForce-GTX-1080-still-good-for-gaming-in-2021?top_ans=238714999
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/track_click?aoid&aoty=14&aty=4&cp=0&ct=1602342786213365&et=2&id=c9dd57c8bd964bdfa734d30733aaddc6&request_id=120898437973702800&source&src=1&st=1602342786213365&stories=1_bPtoOG0Gd5K%7C1_mE9lcjiFhIy%7C1_bxWdQxZeHdT%7C1_zy4L27BKT34%7C1_mo5WZQsOu97%7C1_ROIShPECdFS%7C1_14wOgP5GlnK%7C1_zPo5S4R9gh1%7C1_qO3Ntxcqhb7%7C1_d84IxrsTAi1&ty&ty_data&uid=FBLnBubrIia&v=0

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=c9dd57c8bd964bdfa734d30733aaddc6&t=1602342786958383&token=22902201ea6266ce98dae3d8c2ad078b2ae7338679bc3a92c2cd50b4103c8afb9e9c113e7b077c4876a6ecf8826b1befa3ff14da412df8f2b12f34d043275012&type=2&uid=1260103732